#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,x,a,b,c,d,e,f,g,h,i,j,mi,ma;
    scanf("%d%d",&n,&x);
    scanf("%d",&a);
    mi=a;
    ma=a;
    b=0;
    for(i=2;i<=n;i++)
    {
        scanf("%d",&a);
        if(a<mi)
        {
            mi=a;
        }
        if(a>ma)
        {
            ma=a;
        }
    }
    if(mi<x && ma>x)
    {
        b=x-mi;
    }
    c=abs(ma-x)+2*b;
    printf("%d",c);
}